Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event
Interface JRexEventType

public interface JRexEventType

A interface containing the jrex supported event types. Presently the constants defined in this interface are also defined in native JNI header.

Version:
  1.0
Author:
  C.N.Medappa

Field Summary
`static int` | `CONTEXT_MENU_EVENT` Event type representing JRex ContextMenu event.
`static int` | `HISTORY_EVENT` Event type representing JRex History event.
`static int` | `OBSERVER_EVENT` Event type representing JRex Observer event.
`static int` | `PROGRESS_EVENT` Event type representing JRex Progress event.
`static int` | `SHUTDOWN_EVENT` Event type representing shutdown event.
`static int` | `TOOL_TIP_EVENT` Event type representing JRex ToolTip event.
`static int` | `URICONTENT_EVENT` Event type representing JRex URIContent event.
`static int` | `WINDOW_EVENT` Event type representing JRex Window event.

Field Detail

### SHUTDOWN_EVENT

    public static final int SHUTDOWN_EVENT

  Event type representing shutdown event. When event manager receives a shutdown event the event manager shut's it self down.

  See Also:
    Constant Field Values

### WINDOW_EVENT

    public static final int WINDOW_EVENT

  Event type representing JRex Window event.

  See Also:
    Constant Field Values

### HISTORY_EVENT

    public static final int HISTORY_EVENT

  Event type representing JRex History event.

  See Also:
    Constant Field Values

### PROGRESS_EVENT

    public static final int PROGRESS_EVENT

  Event type representing JRex Progress event.

  See Also:
    Constant Field Values

### CONTEXT_MENU_EVENT

    public static final int CONTEXT_MENU_EVENT

  Event type representing JRex ContextMenu event.

  See Also:
    Constant Field Values

### TOOL_TIP_EVENT

    public static final int TOOL_TIP_EVENT

  Event type representing JRex ToolTip event.

  See Also:
    Constant Field Values

### OBSERVER_EVENT

    public static final int OBSERVER_EVENT

  Event type representing JRex Observer event.

  See Also:
    Constant Field Values

### URICONTENT_EVENT

    public static final int URICONTENT_EVENT

  Event type representing JRex URIContent event.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.